/*
 * BLE Shield Test Sketch for Arduino 1.0
 * by Dr. Michael Kroll 2012
 * v0.9.2 2012-07-11
 */
#include <SoftwareSerial.h>

SoftwareSerial bleShield(2, 3);

long previousMillis = 0; 
long interval = 1000; 

void setup()  
{
  // set the data rate for the SoftwareSerial port
  bleShield.begin(19200);
  Serial.begin(19200);
  randomSeed(analogRead(0));  
}

void loop() // run over and over
{
  
  unsigned long currentMillis = millis();
 
  if(currentMillis - previousMillis > interval) {
    previousMillis = currentMillis;   
    
    int randNumber1 = random(255);
    int randNumber2 = random(255);
    int randNumber3 = random(255);
    int randNumber4 = random(255);
    
    bleShield.write(randNumber1);
    bleShield.write(randNumber2);
    bleShield.write(randNumber3);
    bleShield.write(randNumber4);    
  }
  
  if (bleShield.available()) {
    Serial.write(bleShield.read());
  }
}



